Error

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

PATCH
DELETE
PATCH
GET
GET
PATCH
DELETE
GET
PATCH
POST
POST
GET
POST
GET
GET
POST
POST
POST

Update environments error tracking grouping rules

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • filters

Example request

PATCH /api/environments/:environment_id/error_tracking/grouping_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/grouping_rules/:id/\
-d filters=undefined

Example response

Status 204 No response body

Delete environments error tracking grouping rules

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/error_tracking/grouping_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/grouping_rules/:id/

Example response

Status 204 No response body

Update environments error tracking grouping rules reorder

Request parameters

  • filters
  • description
    stringnull
  • order_key
    integer
  • disabled_data

Example request

PATCH /api/environments/:environment_id/error_tracking/grouping_rules/reorder
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/grouping_rules/reorder/\
-d filters=undefined

Example response

Status 200 No response body

List all environments error tracking issues

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/issues
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "string",
"name": "string",
"description": "string",
"first_seen": "2019-08-24T14:15:22Z",
"assignee": {
"id": 0,
"type": "string"
},
"external_issues": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"integration": {
"id": 0,
"kind": "string",
"display_name": "string"
},
"integration_id": 0,
"config": {
"property1": "string",
"property2": "string"
},
"issue": "984f8aab-1dc8-4804-8ae1-d0944856240b",
"external_url": "string"
}
],
"cohort": {
"id": 0,
"name": "string"
}
}
]
}

Retrieve environments error tracking issues

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/error_tracking/issues/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "string",
"name": "string",
"description": "string",
"first_seen": "2019-08-24T14:15:22Z",
"assignee": {
"id": 0,
"type": "string"
},
"external_issues": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"integration": {
"id": 0,
"kind": "string",
"display_name": "string"
},
"integration_id": 0,
"config": {
"property1": "string",
"property2": "string"
},
"issue": "984f8aab-1dc8-4804-8ae1-d0944856240b",
"external_url": "string"
}
],
"cohort": {
"id": 0,
"name": "string"
}
}

Update environments error tracking issues

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • status
  • name
    stringnull
  • description
    stringnull

Response


Example request

PATCH /api/environments/:environment_id/error_tracking/issues/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/:id/\
-d status=undefined

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "string",
"name": "string",
"description": "string",
"first_seen": "2019-08-24T14:15:22Z",
"assignee": {
"id": 0,
"type": "string"
},
"external_issues": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"integration": {
"id": 0,
"kind": "string",
"display_name": "string"
},
"integration_id": 0,
"config": {
"property1": "string",
"property2": "string"
},
"issue": "984f8aab-1dc8-4804-8ae1-d0944856240b",
"external_url": "string"
}
],
"cohort": {
"id": 0,
"name": "string"
}
}

Delete environments error tracking issues

Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/error_tracking/issues/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/:id/

Example response

Status 405 No response body

Retrieve environments error tracking issues activity

Required API key scopes

activity_log:read

Path parameters

  • id
    string

Example request

GET /api/environments/:environment_id/error_tracking/issues/:id/activity
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/:id/activity/

Example response

Status 200 No response body

Update environments error tracking issues assign

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • id
    string
  • status
    string
  • name
    stringnull
  • description
    stringnull
  • first_seen
    stringnull
  • assignee
  • external_issues
    Click to open
    array
  • cohort

Example request

PATCH /api/environments/:environment_id/error_tracking/issues/:id/assign
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/:id/assign/\
-d status="string"

Example response

Status 200 No response body

Create environments error tracking issues merge

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • ids
    array

Response


Example request

POST /api/environments/:environment_id/error_tracking/issues/:id/merge
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/:id/merge/\
-d ids="array"

Example response

Status 200
RESPONSE
{
"success": true
}

Create environments error tracking issues split

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • fingerprints
    Click to open
    array

Response


Example request

POST /api/environments/:environment_id/error_tracking/issues/:id/split
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/:id/split/\
-d fingerprints="array"

Example response

Status 200
RESPONSE
{
"success": true,
"new_issue_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}

Retrieve environments error tracking issues all activity

Required API key scopes

activity_log:read

Example request

GET /api/environments/:environment_id/error_tracking/issues/activity
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/activity/

Example response

Status 200 No response body

Create environments error tracking issues bulk

Required API key scopes

error_tracking:write

Request parameters

  • id
    string
  • status
    string
  • name
    stringnull
  • description
    stringnull
  • first_seen
    stringnull
  • assignee
  • external_issues
    Click to open
    array
  • cohort

Example request

POST /api/environments/:environment_id/error_tracking/issues/bulk
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/bulk/\
-d id="string",\
-d status="string",\
-d name=["string","null"],\
-d description=["string","null"],\
-d first_seen=["string","null"],\
-d assignee=undefined,\
-d external_issues="array",\
-d cohort=undefined

Example response

Status 200 No response body

Retrieve environments error tracking issues exists

Required API key scopes

error_tracking:read

Example request

GET /api/environments/:environment_id/error_tracking/issues/exists
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/exists/

Example response

Status 200 No response body

Retrieve environments error tracking issues values

Required API key scopes

error_tracking:read

Example request

GET /api/environments/:environment_id/error_tracking/issues/values
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/issues/values/

Example response

Status 200 No response body

Create environments error tracking query issue

Fetch one error tracking issue with impact counts, top in_app frame, latest release, and optional sparkline.

Required API key scopes

error_tracking:read

Request parameters

  • issueId
    string
  • dateRange
  • filterTestAccounts
    boolean
    Default: true
  • volumeResolution
    integer
    Default: 0
  • includeSparkline
    boolean
    Default: false

Response


Example request

POST /api/environments/:environment_id/error_tracking/query/issue
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/query/issue/\
-d issueId="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "string",
"first_seen": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"library": "string",
"source": "string",
"assignee": {
"id": "string",
"type": "string"
},
"aggregations": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1,
"volumeRange": [
0.1
],
"volume_buckets": [
{
"label": "string",
"value": 0
}
]
},
"function": "string",
"top_in_app_frame": {
"function": "string",
"source": "string",
"line": 0,
"column": 0,
"in_app": true
},
"latest_release": {
"version": "string",
"project": "string",
"timestamp": "string",
"commit_id": "string",
"branch": "string",
"repo_name": "string"
},
"impact": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1
},
"sparkline": [
0.1
]
}
Status 404 Issue not found

Create environments error tracking query issue events

Fetch sampled exception events, stack traces, browser/SDK context, URL, and $session_id values for one issue.

Required API key scopes

error_tracking:read

Request parameters

  • issueId
    string
  • dateRange
  • filterTestAccounts
    boolean
    Default: true
  • filterGroup
    Click to open
    array
  • searchQuery
    string
  • orderDirection
    Default: DESC
  • limit
    integer
    Default: 1
  • offset
    integer
    Default: 0
  • verbosity
    Default: summary
  • onlyAppFrames
    boolean
    Default: true

Response


Example request

POST /api/environments/:environment_id/error_tracking/query/issue_events
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/query/issue_events/\
-d issueId="string"

Example response

Status 200
RESPONSE
{
"results": [
{
"uuid": "string",
"distinct_id": "string",
"timestamp": "2019-08-24T14:15:22Z",
"properties": {}
}
],
"hasMore": true,
"limit": 0,
"offset": 0,
"nextOffset": 0
}
Status 404 Issue not found

List all environments error tracking query issues list

List error tracking issues with typed filters and compact aggregate counts.

Required API key scopes

error_tracking:read

Request parameters

  • dateRange
  • status
    Default: active
  • assignee
  • filterTestAccounts
    boolean
    Default: true
  • searchQuery
    string
  • filterGroup
    Click to open
    array
  • orderBy
    Default: occurrences
  • orderDirection
    Default: DESC
  • limit
    integer
    Default: 25
  • offset
    integer
    Default: 0
  • volumeResolution
    integer
    Default: 0
  • library
  • release
    string
  • fingerprint
  • user
    string
  • personId
    string
  • url
    string
  • filePath
    string

Response


Example request

POST /api/environments/:environment_id/error_tracking/query/issues
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/query/issues/\
-d dateRange=undefined

Example response

Status 200
RESPONSE
{
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "string",
"first_seen": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"library": "string",
"source": "string",
"assignee": {
"id": "string",
"type": "string"
},
"aggregations": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1,
"volumeRange": [
0.1
],
"volume_buckets": [
{
"label": "string",
"value": 0
}
]
}
}
],
"hasMore": true,
"limit": 0,
"offset": 0,
"nextOffset": 0
}

Community questions

Questions about this page? or post a community question.